#region Using directives
using System;
using UAManagedCore;
using OpcUa = UAManagedCore.OpcUa;
using QPlatform.CoreBase;
using QPlatform.Store;
using QPlatform.UI;
using QPlatform.Datalogger;
using QPlatform.SQLiteStore;
using QPlatform.CoDeSys;
using QPlatform.NetLogic;
using QPlatform.HMIProject;
using QPlatform.CommunicationDriver;
using QPlatform.OPCUAServer;
using QPlatform.NativeUI;
#endregion

public class VariableUpdate : BaseNetLogic
{
    public override void Start()
    {
        updateVariableValueTask = new PeriodicTask(UpdateVariableValue, 10, LogicObject);
        updateVariableValueTask.Start();
    }

    public override void Stop()
    {
        updateVariableValueTask.Dispose();
    }

    private void UpdateVariableValue()
    {
        var model = Project.Current.Find("Model");
        model.GetVariable("Variable5").Value = value;

        value = value < Int64.MaxValue ? value + 1 : 0;
    }

    private double GetRandomNumber()
    {
        Random random = new Random();
        return random.NextDouble() * 1500;
    }

    PeriodicTask updateVariableValueTask;
    Int64 value = 0;
}
